PHPExcel_Calculation

# Class: PHPExcel_Calculation_Financial

Source Location: /PHPExcel/Calculation/Financial.php

### Class Overview

PHPExcel_Calculation_Financial

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- ACCRINT
- ACCRINTM
- AMORDEGRC
- AMORLINC
- COUPDAYBS
- COUPDAYS
- COUPDAYSNC
- COUPNCD
- COUPNUM
- COUPPCD
- CUMIPMT
- CUMPRINC
- DB
- DDB
- DISC
- DOLLARDE
- DOLLARFR
- EFFECT
- FV
- FVSCHEDULE
- INTRATE
- IPMT
- IRR
- ISPMT
- MIRR
- NOMINAL
- NPER
- NPV
- PMT
- PPMT
- PRICE
- PRICEDISC
- PRICEMAT
- PV
- RATE
- RECEIVED
- SLN
- SYD
- TBILLEQ
- TBILLPRICE
- TBILLYIELD
- XIRR
- XNPV
- YIELDDISC
- YIELDMAT

### Class Details

[line 53]
PHPExcel_Calculation_Financial

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method ACCRINT [line 201]

`static float ACCRINT( mixed $issue, mixed $firstinterest, mixed $settlement, float $rate, [float $par = 1000], [integer $frequency = 1], [integer $basis = 0])`

ACCRINT

Returns the accrued interest for a security that pays periodic interest.

Excel Function: ACCRINT(issue,firstinterest,settlement,rate,par,frequency[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $issue | The security's issue date.
mixed | $firstinterest | The security's first interest date.
mixed | $settlement | The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
float | $rate | The security's annual coupon rate.
float | $par | The security's par value. If you omit par, ACCRINT uses $1,000.

integer

$frequency

the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method ACCRINTM [line 253]

`static float ACCRINTM( mixed $issue, mixed $settlement, float $rate, [float $par = 1000], [integer $basis = 0])`

ACCRINTM

Returns the accrued interest for a security that pays interest at maturity.

Excel Function: ACCRINTM(issue,settlement,rate[,par[,basis]])

#### Tags:

access: | public

#### Parameters:

mixed | $issue | issue The security's issue date.
mixed | $settlement | settlement The security's settlement (or maturity) date.
float | $rate | rate The security's annual coupon rate.
float | $par | par The security's par value. If you omit par, ACCRINT uses $1,000.

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method AMORDEGRC [line 309]

`static float AMORDEGRC( float $cost, mixed $purchased, mixed $firstPeriod, mixed $salvage, float $period, float $rate, [integer $basis = 0])`

AMORDEGRC

Returns the depreciation for each accounting period. This function is provided for the French accounting system. If an asset is purchased in the middle of the accounting period, the prorated depreciation is taken into account. The function is similar to AMORLINC, except that a depreciation coefficient is applied in the calculation depending on the life of the assets. This function will return the depreciation until the last period of the life of the assets or until the cumulated value of depreciation is greater than the cost of the assets minus the salvage value.

Excel Function: AMORDEGRC(cost,purchased,firstPeriod,salvage,period,rate[,basis])

#### Tags:

access: | public

#### Parameters:

float | $cost | cost The cost of the asset.
mixed | $purchased | purchased Date of the purchase of the asset.
mixed | $firstPeriod | firstPeriod Date of the end of the first period.
mixed | $salvage | salvage The salvage value at the end of the life of the asset.
float | $period | period The period.
float | $rate | rate Rate of depreciation.

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method AMORLINC [line 385]

`static float AMORLINC( float $cost, mixed $purchased, mixed $firstPeriod, mixed $salvage, float $period, float $rate, [integer $basis = 0])`

AMORLINC

Returns the depreciation for each accounting period. This function is provided for the French accounting system. If an asset is purchased in the middle of the accounting period, the prorated depreciation is taken into account.

Excel Function: AMORLINC(cost,purchased,firstPeriod,salvage,period,rate[,basis])

#### Tags:

access: | public

#### Parameters:

float | $cost | cost The cost of the asset.
mixed | $purchased | purchased Date of the purchase of the asset.
mixed | $firstPeriod | firstPeriod Date of the end of the first period.
mixed | $salvage | salvage The salvage value at the end of the life of the asset.
float | $period | period The period.
float | $rate | rate Rate of depreciation.

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method COUPDAYBS [line 451]

`static float COUPDAYBS( mixed $settlement, mixed $maturity, mixed $frequency, [integer $basis = 0])`

COUPDAYBS

Returns the number of days from the beginning of the coupon period to the settlement date.

Excel Function: COUPDAYBS(settlement,maturity,frequency[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.

mixed

$frequency

frequency the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method COUPDAYS [line 509]

`static float COUPDAYS( mixed $settlement, mixed $maturity, mixed $frequency, [integer $basis = 0])`

COUPDAYS

Returns the number of days in the coupon period that contains the settlement date.

Excel Function: COUPDAYS(settlement,maturity,frequency[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.

mixed

$frequency

frequency the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method COUPDAYSNC [line 579]

`static float COUPDAYSNC( mixed $settlement, mixed $maturity, mixed $frequency, [integer $basis = 0])`

COUPDAYSNC

Returns the number of days from the settlement date to the next coupon date.

Excel Function: COUPDAYSNC(settlement,maturity,frequency[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.

mixed

$frequency

frequency the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method COUPNCD [line 638]

`static mixed COUPNCD( mixed $settlement, mixed $maturity, mixed $frequency, [integer $basis = 0])`

COUPNCD

Returns the next coupon date after the settlement date.

Excel Function: COUPNCD(settlement,maturity,frequency[,basis])

#### Tags:

return: | Excel date/time serial value, PHP date/time serial value or PHP date/time object, depending on the value of the ReturnDateType flag
access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.

mixed

$frequency

frequency the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method COUPNUM [line 694]

`static integer COUPNUM( mixed $settlement, mixed $maturity, mixed $frequency, [integer $basis = 0])`

COUPNUM

Returns the number of coupons payable between the settlement date and maturity date, rounded up to the nearest whole coupon.

Excel Function: COUPNUM(settlement,maturity,frequency[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.

mixed

$frequency

frequency the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method COUPPCD [line 765]

`static mixed COUPPCD( mixed $settlement, mixed $maturity, mixed $frequency, [integer $basis = 0])`

COUPPCD

Returns the previous coupon date before the settlement date.

Excel Function: COUPPCD(settlement,maturity,frequency[,basis])

#### Tags:

return: | Excel date/time serial value, PHP date/time serial value or PHP date/time object, depending on the value of the ReturnDateType flag
access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.

mixed

$frequency

frequency the number of coupon payments per year. Valid frequency values are:

1. Annual
2. Semi-Annual

4 Quarterly If working in Gnumeric Mode, the following frequency options are also available 6 Bimonthly 12 Monthly

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method CUMIPMT [line 809]

`static float CUMIPMT( float $rate, integer $nper, float $pv, integer $start, integer $end, [integer $type = 0])`

CUMIPMT

Returns the cumulative interest paid on a loan between the start and end periods.

Excel Function: CUMIPMT(rate,nper,pv,start,end[,type])

#### Tags:

access: | public

#### Parameters:

float | $rate | The Interest rate
integer | $nper | The total number of payment periods
float | $pv | Present Value
integer | $start | The first period in the calculation. Payment periods are numbered beginning with 1.
integer | $end | The last period in the calculation.

integer

$type

A number 0 or 1 and indicates when payments are due:

1. or omitted At the end of the period.
2. At the beginning of the period.

[ Top ]

### static method CUMPRINC [line 856]

`static float CUMPRINC( float $rate, integer $nper, float $pv, integer $start, integer $end, [integer $type = 0])`

CUMPRINC

Returns the cumulative principal paid on a loan between the start and end periods.

Excel Function: CUMPRINC(rate,nper,pv,start,end[,type])

#### Tags:

access: | public

#### Parameters:

float | $rate | The Interest rate
integer | $nper | The total number of payment periods
float | $pv | Present Value
integer | $start | The first period in the calculation. Payment periods are numbered beginning with 1.
integer | $end | The last period in the calculation.

integer

$type

A number 0 or 1 and indicates when payments are due:

1. or omitted At the end of the period.
2. At the beginning of the period.

[ Top ]

### static method DB [line 908]

`static float DB( float $cost, float $salvage, integer $life, integer $period, [integer $month = 12])`

DB

Returns the depreciation of an asset for a specified period using the fixed-declining balance method. This form of depreciation is used if you want to get a higher depreciation value at the beginning of the depreciation (as opposed to linear depreciation). The depreciation value is reduced with every depreciation period by the depreciation already deducted from the initial cost.

Excel Function: DB(cost,salvage,life,period[,month])

#### Tags:

access: | public

#### Parameters:

float | $cost | cost Initial cost of the asset.
float | $salvage | salvage Value at the end of the depreciation. (Sometimes called the salvage value of the asset)
integer | $life | life Number of periods over which the asset is depreciated. (Sometimes called the useful life of the asset)
integer | $period | period The period for which you want to calculate the depreciation. Period must use the same units as life.
integer | $month | month Number of months in the first year. If month is omitted, it defaults to 12.

[ Top ]

### static method DDB [line 975]

`static float DDB( float $cost, float $salvage, integer $life, integer $period, [float $factor = 2.0])`

DDB

Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify.

Excel Function: DDB(cost,salvage,life,period[,factor])

#### Tags:

access: | public

#### Parameters:

float | $cost | cost Initial cost of the asset.
float | $salvage | salvage Value at the end of the depreciation. (Sometimes called the salvage value of the asset)
integer | $life | life Number of periods over which the asset is depreciated. (Sometimes called the useful life of the asset)
integer | $period | period The period for which you want to calculate the depreciation. Period must use the same units as life.
float | $factor | factor The rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method).

[ Top ]

### static method DISC [line 1036]

`static float DISC( mixed $settlement, mixed $maturity, integer $price, integer $redemption, [integer $basis = 0])`

DISC

Returns the discount rate for a security.

Excel Function: DISC(settlement,maturity,price,redemption[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
integer | $price | price The security's price per $100 face value.
integer | $redemption | redemption The security's redemption value per $100 face value.

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method DOLLARDE [line 1079]

`static float DOLLARDE( [float $fractional_dollar = Null], [integer $fraction = 0])`

DOLLARDE

Converts a dollar price expressed as an integer part and a fraction part into a dollar price expressed as a decimal number. Fractional dollar numbers are sometimes used for security prices.

Excel Function: DOLLARDE(fractional_dollar,fraction)

#### Tags:

access: | public

#### Parameters:

float | $fractional_dollar | Fractional Dollar
integer | $fraction | Fraction

[ Top ]

### static method DOLLARFR [line 1115]

`static float DOLLARFR( [float $decimal_dollar = Null], [integer $fraction = 0])`

DOLLARFR

Converts a dollar price expressed as a decimal number into a dollar price expressed as a fraction. Fractional dollar numbers are sometimes used for security prices.

Excel Function: DOLLARFR(decimal_dollar,fraction)

#### Tags:

access: | public

#### Parameters:

float | $decimal_dollar | Decimal Dollar
integer | $fraction | Fraction

[ Top ]

### static method EFFECT [line 1150]

`static float EFFECT( [float $nominal_rate = 0], [integer $npery = 0])`

EFFECT

Returns the effective interest rate given the nominal rate and the number of compounding payments per year.

Excel Function: EFFECT(nominal_rate,npery)

#### Tags:

access: | public

#### Parameters:

float | $nominal_rate | Nominal interest rate
integer | $npery | Number of compounding payments per year

[ Top ]

### static method FV [line 1185]

`static float FV( [float $rate = 0], [int $nper = 0], [float $pmt = 0], [float $pv = 0], [integer $type = 0])`

FV

Returns the Future Value of a cash flow with constant payments and interest rate (annuities).

Excel Function: FV(rate,nper,pmt[,pv[,type]])

#### Tags:

access: | public

#### Parameters:

float | $rate | The interest rate per period
int | $nper | Total number of payment periods in an annuity
float | $pmt | The payment made each period: it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes.
float | $pv | Present Value, or the lump-sum amount that a series of future payments is worth right now.

integer

$type

A number 0 or 1 and indicates when payments are due:

1. or omitted At the end of the period.
2. At the beginning of the period.

[ Top ]

### static method FVSCHEDULE [line 1210]

`static void FVSCHEDULE( $principal, $schedule)`

FVSCHEDULE

#### Tags:

access: | public

#### Parameters:

| $principal |
| $schedule |

[ Top ]

### static method INTRATE [line 1244]

`static float INTRATE( mixed $settlement, mixed $maturity, integer $investment, integer $redemption, [integer $basis = 0])`

INTRATE

Returns the interest rate for a fully invested security.

Excel Function: INTRATE(settlement,maturity,investment,redemption[,basis])

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
integer | $investment | investment The amount invested in the security.
integer | $redemption | redemption The amount to be received at maturity.

integer

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method IPMT [line 1284]

`static float IPMT( float $rate, int $per, int $nper, float $pv, [float $fv = 0], [int $type = 0])`

IPMT

Returns the interest payment for a given period for an investment based on periodic, constant payments and a constant interest rate.

#### Tags:

access: | public

#### Parameters:

float | $rate | Interest rate per period
int | $per | Period for which we want to find the interest
int | $nper | Number of periods
float | $pv | Present Value
float | $fv | Future Value
int | $type | Payment type: 0 = at the end of each period, 1 = at the beginning of each period

[ Top ]

### static method IRR [line 1306]

`static void IRR( $values, [ $guess = 0.1])`

#### Tags:

access: | public

#### Parameters:

| $values |
| $guess |

[ Top ]

### static method ISPMT [line 1362]

`static void ISPMT( )`

ISPMT

Returns the interest payment for an investment based on an interest rate and a constant payment schedule.

Excel Function: =ISPMT(interest_rate, period, number_payments, PV)

interest_rate is the interest rate for the investment

period is the period to calculate the interest rate. It must be betweeen 1 and number_payments.

number_payments is the number of payments for the annuity

PV is the loan amount or present value of the payments

#### Tags:

access: | public

[ Top ]

### static method MIRR [line 1387]

`static void MIRR( $values, $finance_rate, $reinvestment_rate)`

#### Tags:

access: | public

#### Parameters:

| $values |
| $finance_rate |
| $reinvestment_rate |

[ Top ]

### static method NOMINAL [line 1426]

`static float NOMINAL( [float $effect_rate = 0], [int $npery = 0])`

NOMINAL

Returns the nominal interest rate given the effective rate and the number of compounding payments per year.

#### Tags:

access: | public

#### Parameters:

float | $effect_rate | Effective interest rate
int | $npery | Number of compounding payments per year

[ Top ]

### static method NPER [line 1452]

`static float NPER( [float $rate = 0], [int $pmt = 0], [float $pv = 0], [float $fv = 0], [int $type = 0])`

NPER

Returns the number of periods for a cash flow with constant periodic payments (annuities), and interest rate.

#### Tags:

access: | public

#### Parameters:

float | $rate | Interest rate per period
int | $pmt | Periodic payment (annuity)
float | $pv | Present Value
float | $fv | Future Value
int | $type | Payment type: 0 = at the end of each period, 1 = at the beginning of each period

[ Top ]

### static method NPV [line 1488]

`static float NPV( float 0, array 1)`

NPV

Returns the Net Present Value of a cash flow series given a discount rate.

#### Tags:

access: | public

#### Parameters:

float | 0 | Discount interest rate
array | 1 | Cash flow series

[ Top ]

### static method PMT [line 1521]

`static float PMT( [float $rate = 0], [int $nper = 0], [float $pv = 0], [float $fv = 0], [int $type = 0])`

PMT

Returns the constant payment (annuity) for a cash flow with a constant interest rate.

#### Tags:

access: | public

#### Parameters:

float | $rate | Interest rate per period
int | $nper | Number of periods
float | $pv | Present Value
float | $fv | Future Value
int | $type | Payment type: 0 = at the end of each period, 1 = at the beginning of each period

[ Top ]

### static method PPMT [line 1555]

`static float PPMT( float $rate, int $per, int $nper, float $pv, [float $fv = 0], [int $type = 0])`

PPMT

Returns the interest payment for a given period for an investment based on periodic, constant payments and a constant interest rate.

#### Tags:

access: | public

#### Parameters:

float | $rate | Interest rate per period
int | $per | Period for which we want to find the interest
int | $nper | Number of periods
float | $pv | Present Value
float | $fv | Future Value
int | $type | Payment type: 0 = at the end of each period, 1 = at the beginning of each period

[ Top ]

### static method PRICE [line 1577]

`static void PRICE( $settlement, $maturity, $rate, $yield, $redemption, $frequency, [ $basis = 0])`

#### Tags:

access: | public

#### Parameters:

| $settlement |
| $maturity |
| $rate |
| $yield |
| $redemption |
| $frequency |
| $basis |

[ Top ]

### static method PRICEDISC [line 1637]

`static float PRICEDISC( mixed $settlement, mixed $maturity, int $discount, int $redemption, [int $basis = 0])`

PRICEDISC

Returns the price per $100 face value of a discounted security.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
int | $discount | discount The security's discount rate.
int | $redemption | redemption The security's redemption value per $100 face value.

int

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method PRICEMAT [line 1681]

`static float PRICEMAT( mixed $settlement, mixed $maturity, mixed $issue, int $rate, int $yield, [int $basis = 0])`

PRICEMAT

Returns the price per $100 face value of a security that pays interest at maturity.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security's settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
mixed | $issue | issue The security's issue date.
int | $rate | rate The security's interest rate at date of issue.
int | $yield | yield The security's annual yield.

int

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method PV [line 1737]

`static float PV( [float $rate = 0], [int $nper = 0], [float $pmt = 0], [float $fv = 0], [int $type = 0])`

PV

Returns the Present Value of a cash flow with constant payments and interest rate (annuities).

#### Tags:

access: | public

#### Parameters:

float | $rate | Interest rate per period
int | $nper | Number of periods
float | $pmt | Periodic payment (annuity)
float | $fv | Future Value
int | $type | Payment type: 0 = at the end of each period, 1 = at the beginning of each period

[ Top ]

### static method RATE [line 1788]

`static float RATE( float $nper, float $pmt, float $pv, [float $fv = 0.0], [integer $type = 0], [float $guess = 0.1])`

RATE

Returns the interest rate per period of an annuity. RATE is calculated by iteration and can have zero or more solutions. If the successive results of RATE do not converge to within 0.0000001 after 20 iterations, RATE returns the #NUM! error value.

Excel Function: RATE(nper,pmt,pv[,fv[,type[,guess]]])

#### Tags:

access: | public

#### Parameters:

float | $nper | nper The total number of payment periods in an annuity.
float | $pmt | pmt The payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes.
float | $pv | pv The present value - the total amount that a series of future payments is worth now.
float | $fv | fv The future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

integer

$type

type A number 0 or 1 and indicates when payments are due:

1. or omitted At the end of the period.
2. At the beginning of the period.

float | $guess | guess Your guess for what the rate will be. If you omit guess, it is assumed to be 10 percent.

[ Top ]

### static method RECEIVED [line 1850]

`static float RECEIVED( mixed $settlement, mixed $maturity, int $investment, int $discount, [int $basis = 0])`

RECEIVED

Returns the price per $100 face value of a discounted security.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
int | $investment | investment The amount invested in the security.
int | $discount | discount The security's discount rate.

int

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method SLN [line 1884]

`static float SLN( cost $cost, salvage $salvage, life $life)`

SLN

Returns the straight-line depreciation of an asset for one period

#### Tags:

access: | public

#### Parameters:

cost | $cost | Initial cost of the asset
salvage | $salvage | Value at the end of the depreciation
life | $life | Number of periods over which the asset is depreciated

[ Top ]

### static method SYD [line 1911]

`static float SYD( cost $cost, salvage $salvage, life $life, period $period)`

SYD

Returns the sum-of-years' digits depreciation of an asset for a specified period.

#### Tags:

access: | public

#### Parameters:

cost | $cost | Initial cost of the asset
salvage | $salvage | Value at the end of the depreciation
life | $life | Number of periods over which the asset is depreciated
period | $period | Period

[ Top ]

### static method TBILLEQ [line 1940]

`static float TBILLEQ( mixed $settlement, mixed $maturity, int $discount)`

TBILLEQ

Returns the bond-equivalent yield for a Treasury bill.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The Treasury bill's settlement date. The Treasury bill's settlement date is the date after the issue date when the Treasury bill is traded to the buyer.
mixed | $maturity | maturity The Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.
int | $discount | discount The Treasury bill's discount rate.

[ Top ]

### static method TBILLPRICE [line 1978]

`static float TBILLPRICE( mixed $settlement, mixed $maturity, int $discount)`

TBILLPRICE

Returns the yield for a Treasury bill.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The Treasury bill's settlement date. The Treasury bill's settlement date is the date after the issue date when the Treasury bill is traded to the buyer.
mixed | $maturity | maturity The Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.
int | $discount | discount The Treasury bill's discount rate.

[ Top ]

### static method TBILLYIELD [line 2030]

`static float TBILLYIELD( mixed $settlement, mixed $maturity, int $price)`

TBILLYIELD

Returns the yield for a Treasury bill.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The Treasury bill's settlement date. The Treasury bill's settlement date is the date after the issue date when the Treasury bill is traded to the buyer.
mixed | $maturity | maturity The Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.
int | $price | price The Treasury bill's price per $100 face value.

[ Top ]

### static method XIRR [line 2062]

`static void XIRR( $values, $dates, [ $guess = 0.1])`

#### Tags:

access: | public

#### Parameters:

| $values |
| $dates |
| $guess |

[ Top ]

### static method XNPV [line 2118]

`static float XNPV( float $rate, array $values, array $dates)`

XNPV

Returns the net present value for a schedule of cash flows that is not necessarily periodic. To calculate the net present value for a series of cash flows that is periodic, use the NPV function.

Excel Function: =XNPV(rate,values,dates)

#### Tags:

access: | public

#### Parameters:

float | $rate | The discount rate to apply to the cash flows.

array

$values

of float $values A series of cash flows that corresponds to a schedule of payments in dates. The first payment is optional and corresponds to a cost or payment that occurs at the beginning of the investment. If the first value is a cost or payment, it must be a negative value. All succeeding payments are discounted based on a 365-day year. The series of values must contain at least one positive value and one negative value.

array | $dates | of mixed $dates A schedule of payment dates that corresponds to the cash flow payments. The first payment date indicates the beginning of the schedule of payments. All other dates must be later than this date, but they may occur in any order.

[ Top ]

### static method YIELDDISC [line 2156]

`static float YIELDDISC( mixed $settlement, mixed $maturity, int $price, int $redemption, [int $basis = 0])`

YIELDDISC

Returns the annual yield of a security that pays interest at maturity.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security's settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
int | $price | price The security's price per $100 face value.
int | $redemption | redemption The security's redemption value per $100 face value.

int

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

### static method YIELDMAT [line 2205]

`static float YIELDMAT( mixed $settlement, mixed $maturity, mixed $issue, int $rate, int $price, [int $basis = 0])`

YIELDMAT

Returns the annual yield of a security that pays interest at maturity.

#### Tags:

access: | public

#### Parameters:

mixed | $settlement | settlement The security's settlement date. The security's settlement date is the date after the issue date when the security is traded to the buyer.
mixed | $maturity | maturity The security's maturity date. The maturity date is the date when the security expires.
mixed | $issue | issue The security's issue date.
int | $rate | rate The security's interest rate at date of issue.
int | $price | price The security's price per $100 face value.

int

$basis

basis The type of day count to use.

1. or omitted US (NASD) 30/360
2. Actual/actual
3. Actual/360
4. Actual/365
5. European 30/360

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:15 +0200 by phpDocumentor 1.4.4